# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to tweak the test suite if we don't have Test::More ≥ 0.88
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-ExtUtils-MakeMaker-CPANfile
Version:	0.07
Release:	3.%{__distinit}%{__distvers}
Summary:	CPANfile support for ExtUtils::MakeMaker
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/ExtUtils-MakeMaker-CPANfile/
Source0:	http://www.cpan.org/authors/id/I/IS/ISHIGAKI/ExtUtils-MakeMaker-CPANfile-%{version}.tar.gz
Patch0:		ExtUtils-MakeMaker-CPANfile-0.06-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
# Module Runtime:
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Module::CPANfile)
BuildRequires:	perl(strict)
BuildRequires:	perl(version) >= 0.76
BuildRequires:	perl(warnings)
# Test Suite:
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Test::More)
# Runtime:
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(ExtUtils::MakeMaker) >= 6.17
Requires:	perl(version) >= 0.76

%description
ExtUtils::MakeMaker::CPANfile loads cpanfile in your distribution and
modifies parameters for WriteMakefile in your Makefile.PL. Just use it
instead of ExtUtils::MakeMaker (which should be loaded internally), and
prepare cpanfile.

%prep
%setup -q -n ExtUtils-MakeMaker-CPANfile-%{version}

# We need to tweak the test suite if we don't have Test::More ≥ 0.88
%if %{old_test_more}
%patch0
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README.md
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::MakeMaker::CPANfile.3*

%changelog
* Mon Aug 22 2016 Paul Howarth <paul@city-fan.org> - 0.07-3
- BR: perl-generators where available
- Simplify find command using -delete

* Wed Dec  9 2015 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07
  - Supported recommends, suggests, conflicts

* Mon Sep 29 2014 Paul Howarth <paul@city-fan.org> - 0.06-3
- Import from Fedora

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-2
- Perl 5.20 rebuild

* Wed Jul 16 2014 Petr Pisar <ppisar@redhat.com> - 0.06-1
- Specfile autogenerated by cpanspec 1.78
